## fo-property-wrap-option

fo-property-wrap-option —

## Synopsis

    enum        FoEnumWrapOption;
    #define     FO_TYPE_ENUM_WRAP_OPTION
    GType       fo_enum_wrap_option_get_type    (void);
    struct      FoPropertyWrapOption;
    struct      FoPropertyWrapOptionClass;
    FoProperty* fo_property_wrap_option_new     (void);
    FoProperty* fo_property_wrap_option_get_initial
                                                (void);

## Description

## Details

### enum FoEnumWrapOption

    typedef enum {
      FO_ENUM_WRAP_OPTION_NO_WRAP,
      FO_ENUM_WRAP_OPTION_WRAP
    } FoEnumWrapOption;

### FO_TYPE_ENUM_WRAP_OPTION

    #define     FO_TYPE_ENUM_WRAP_OPTION

### fo_enum_wrap_option_get_type ()

    GType       fo_enum_wrap_option_get_type    (void);

Returns : |

### struct FoPropertyWrapOption

    struct FoPropertyWrapOption;

### struct FoPropertyWrapOptionClass

    struct FoPropertyWrapOptionClass;

### fo_property_wrap_option_new ()

    FoProperty* fo_property_wrap_option_new     (void);

Creates a new FoPropertyWrapOption initialized to default value.

Returns : | the new FoPropertyWrapOption.

### fo_property_wrap_option_get_initial ()

    FoProperty* fo_property_wrap_option_get_initial
                                                (void);

Get an instance of the property with the correct initial value.

Returns : | An instance of the property.